# Set-RASWinDeviceGroup.md

## NAME

Set-RASWinDeviceGroup

## SYNOPSIS

Modifies the Windows device group.

## SYNTAX

\*\*Set-RASWinDeviceGroup \[\[-[SiteId](#siteid-string)] *(uint)*] \[[AdminModePassword](#adminmodepassword-string) *(SecureString)*] \[[Description](#description-string) *(string)*] \[[DisablePrintScreen](#disableprintscreen-string) *(bool)*] \[[DisableRemovableDrives](#disableremovabledrives-string) *(bool)*] \[[DisplayName](#displayname-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[EnableFirewall](#enablefirewall-string) *(bool)*] \[[KioskMode](#kioskmode-string) *(bool)*] \[[ReplaceDesktop](#replacedesktop-string) *(bool)*] \[[RequestAuthorization](#requestauthorization-string) *(bool)*] \[[UseClientAsDesktop](#useclientasdesktop-string) *(bool)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASWinDeviceGroup** \[[Id](#id-string)] *(uint)* \[[AdminModePassword](#adminmodepassword-string) *(SecureString)*] \[[Description](#description-string) *(string)*] \[[DisablePrintScreen](#disableprintscreen-string) *(bool)*] \[[DisableRemovableDrives](#disableremovabledrives-string) *(bool)*] \[[DisplayName](#displayname-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[EnableFirewall](#enablefirewall-string) *(bool)*] \[[KioskMode](#kioskmode-string) *(bool)*] \[[ReplaceDesktop](#replacedesktop-string) *(bool)*] \[[RequestAuthorization](#requestauthorization-string) *(bool)*] \[[UseClientAsDesktop](#useclientasdesktop-string) *(bool)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASWinDeviceGroup \[\[-[InputObject](#inputobject)] *(*[*WinDeviceGroup*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/windevicegroup.md)*)*] \[[AdminModePassword](#adminmodepassword-string) *(SecureString)*] \[[Description](#description-string) *(string)*] \[[DisablePrintScreen](#disableprintscreen-string) *(bool)*] \[[DisableRemovableDrives](#disableremovabledrives-string) *(bool)*] \[[DisplayName](#displayname-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[EnableFirewall](#enablefirewall-string) *(bool)*] \[[KioskMode](#kioskmode-string) *(bool)*] \[[ReplaceDesktop](#replacedesktop-string) *(bool)*] \[[RequestAuthorization](#requestauthorization-string) *(bool)*] \[[UseClientAsDesktop](#useclientasdesktop-string) *(bool)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASWinDeviceGroup** \[\[-[Name](#name-string)] *(string)*] \[[AdminModePassword](#adminmodepassword-string) *(SecureString)*] \[[Description](#description-string) *(string)*] \[[DisablePrintScreen](#disableprintscreen-string) *(bool)*] \[[DisableRemovableDrives](#disableremovabledrives-string) *(bool)*] \[[DisplayName](#displayname-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[EnableFirewall](#enablefirewall-string) *(bool)*] \[[KioskMode](#kioskmode-string) *(bool)*] \[[ReplaceDesktop](#replacedesktop-string) *(bool)*] \[[RequestAuthorization](#requestauthorization-string) *(bool)*] \[[UseClientAsDesktop](#useclientasdesktop-string) *(bool)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies the Windows device group.

## PARAMETERS

## SiteId (uint)

The ID of the Site from which to modify the windows device group settings.

If the parameter is omitted, the Licensing Server Site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

The name of the windows device group from which to modify the settings.

This must be the actual windows device group name used in the RAS farm.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a windows device group from which to modify the settings.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([WinDeviceGroup](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/windevicegroup.md))

The Windows Device Group to modify.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## DisplayName (string)

Modify the description of the Windows Device Group.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Description (string)

Modify the description of the Windows Device Group.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enabled (bool)

Enable or disable the Windows Device Group.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DisableRemovableDrives (bool)

Enable or disable Removeable Drives.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DisablePrintScreen (bool)

Enable or disable Print Screens.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ReplaceDesktop (bool)

Enable or disable the Replace Desktop option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## KioskMode (bool)

Enable or disable Kiosk Mode.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## UseClientAsDesktop (bool)

Enable or disable the Client As Desktop option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AdminModePassword (SecureString)

The Admin Mode Passoword.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnableFirewall (bool)

Enable or disable Firewall option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## RequestAuthorization (bool)

Enable or disable the Request Authorization option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[WinDeviceGroup](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/windevicegroup.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASWinDeviceGroup -Name "WinDeviceGroup" -Description "updated desc"

Modifies the description of the Windows device group specified by name.\
\*\*---------- EXAMPLE 2 ----------

Set-RASWinDeviceGroup -Id 1 -Description "updated desc"

Modifies the description of the Windows device group with Id 1.\
\*\*---------- EXAMPLE 3 ----------

Set-RASWinDeviceGroup $WinDeviceGroupObj -Description "updated desc"

Modifies the description of the Windows device group specified by the object obtained from the pipeline output.

## RELATED LINKS

* [New-RASWinDeviceGroup](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-raswindevicegroup.md)
* [Get-RASWinDeviceGroup](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raswindevicegroup.md)
* [Remove-RASWinDeviceGroup](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raswindevicegroup.md)
* [Add-RASWinDeviceGroupInboundPort](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-raswindevicegroupinboundport.md)
* [Get-RASWinDeviceGroupInboundPort](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raswindevicegroupinboundport.md)
* [Remove-RASWinDeviceGroupInboundPort](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raswindevicegroupinboundport.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raswindevicegroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
